---
updatedAt: 2026-06-18T15:00:59.000Z
agentTools:
  siteIndex: https://developer.paylocity.com/llms.txt
  projectIndex: https://developer.paylocity.com/integrations/llms.txt
---

# Get Employee [Single]

**Summary Description**

The **GET Employee [Single]** endpoint allows clients and partners to retrieve employee demographic data for a single employee record belonging to the companyId. It is ideal for syncing third-party systems with employee information from Paylocity. The endpoint supports several query parameters that allow for more precise control over the data returned:

- **include** – Allows selective retrieval of additional data elements related to the employee, such as:
  - **info** (basic demographic details)
  - **position** (job and department data)
  - **status** (employment status)
  - **payRate** (current compensation details)
  - **futurePayRate** (scheduled future pay rate changes)

These parameters make the endpoint highly flexible, enabling clients to tailor requests to their specific integration and business needs.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Employee Demographic API",
    "version": "v2"
  },
  "servers": [
    {
      "url": "https://dc1demogwext.paylocity.com"
    }
  ],
  "paths": {
    "/coreHr/v1/companies/{companyId}/employees/{employeeId}": {
      "get": {
        "tags": [
          "Employees"
        ],
        "summary": "Get Employee [Single]",
        "description": "**Summary Description**\n\nThe **GET Employee [Single]** endpoint allows clients and partners to retrieve employee demographic data for a single employee record belonging to the companyId. It is ideal for syncing third-party systems with employee information from Paylocity. The endpoint supports several query parameters that allow for more precise control over the data returned:\n\n- **include** – Allows selective retrieval of additional data elements related to the employee, such as:\n  - **info** (basic demographic details)\n  - **position** (job and department data)\n  - **status** (employment status)\n  - **payRate** (current compensation details)\n  - **futurePayRate** (scheduled future pay rate changes)\n\nThese parameters make the endpoint highly flexible, enabling clients to tailor requests to their specific integration and business needs.",
        "parameters": [
          {
            "name": "testMode",
            "in": "header",
            "description": "If true all responses are mocked and generated randomly.",
            "schema": {
              "type": "boolean"
            },
            "examples": {
              "default": {
                "summary": "Example value for testMode",
                "value": false
              }
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Authorization token. Ex. Bearer ...",
            "schema": {
              "type": "string"
            },
            "examples": {
              "default": {
                "summary": "JWT bearer authorization header",
                "value": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.<payload>.<signature>"
              }
            }
          },
          {
            "name": "companyId",
            "in": "path",
            "description": "The Paylocity Company Identifier. This is the unique value provided by Paylocity to each specific Payroll Entity.\r\n                **Allowable Values:**\r\n                9 char max",
            "required": true,
            "schema": {
              "type": "string"
            },
            "examples": {
              "default": {
                "summary": "Example value for companyId",
                "value": "A12345"
              }
            }
          },
          {
            "name": "employeeId",
            "in": "path",
            "description": "A filter to use to limit results to a specific employee.\r\n                **Allowable Values:**\r\n                255 char max",
            "required": true,
            "schema": {
              "type": "string"
            },
            "examples": {
              "default": {
                "summary": "Example value for employeeId",
                "value": "employeeId-value"
              }
            }
          },
          {
            "name": "include",
            "in": "query",
            "description": "Comma separated list of data to be included.\r\n                **Allowable Values:**\r\n                info, position, status, payrate and futurePayrates.",
            "required": true,
            "schema": {
              "type": "string"
            },
            "examples": {
              "default": {
                "summary": "Example value for include",
                "value": "include-value"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Employee"
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "Address": {
        "type": "object",
        "properties": {
          "address1": {
            "type": "string",
            "description": "Address1",
            "nullable": true
          },
          "address2": {
            "type": "string",
            "description": "Address2",
            "nullable": true
          },
          "city": {
            "type": "string",
            "description": "City",
            "nullable": true
          },
          "state": {
            "type": "string",
            "description": "State",
            "nullable": true
          },
          "postalCode": {
            "type": "string",
            "description": "PostalCode",
            "nullable": true
          },
          "country": {
            "type": "string",
            "description": "Country",
            "nullable": true
          },
          "county": {
            "type": "string",
            "description": "County",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      },
      "CurrentEmployeeStatus": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "description": "The employee status description.",
            "nullable": true
          },
          "statusCode": {
            "type": "string",
            "description": "The employee status code.",
            "nullable": true
          },
          "statusType": {
            "type": "string",
            "description": "The employee status type code.\r\n    **Allowable Values:**\r\n    A - Active\r\n    T - Terminated\r\n    L - Leave",
            "nullable": true
          },
          "effectiveDate": {
            "type": "string",
            "description": "Effective date of the latest employee status change.",
            "format": "date-time",
            "nullable": true
          },
          "changeReason": {
            "type": "string",
            "description": "Change reason description of the latest employee status change.",
            "nullable": true
          },
          "changeReasonCode": {
            "type": "integer",
            "description": "Change reason code for the latest employee status change.",
            "format": "int32",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      },
      "CurrentPayRate": {
        "type": "object",
        "properties": {
          "baseRate": {
            "type": "number",
            "description": "Employee Base Pay Rate.",
            "format": "double",
            "nullable": true
          },
          "defaultHours": {
            "type": "number",
            "description": "Default Hours for the Employee in the Pay Period.",
            "format": "double",
            "nullable": true
          },
          "salary": {
            "type": "number",
            "description": "Per Check Salary Rate.",
            "format": "double",
            "nullable": true
          },
          "payFrequency": {
            "type": "string",
            "description": "Pay Frequency.",
            "nullable": true
          },
          "payGrade": {
            "type": "string",
            "description": "Pay Grade.",
            "nullable": true
          },
          "annualSalary": {
            "type": "number",
            "description": "Annual Salary.",
            "format": "double",
            "nullable": true
          },
          "ratePer": {
            "type": "string",
            "description": "Rate Per.",
            "nullable": true
          },
          "effectiveDate": {
            "type": "string",
            "description": "Effective date of the last employee rate change.",
            "format": "date-time",
            "nullable": true
          },
          "beginCheckDate": {
            "type": "string",
            "description": "Begin Check date of the last employee rate change.",
            "nullable": true
          },
          "isAutoPay": {
            "type": "boolean",
            "description": "Auto Pay Employee Flag.",
            "nullable": true
          },
          "payType": {
            "type": "string",
            "description": "Hourly or Salary Pay Type",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      },
      "Employee": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The Paylocity Employee ID. This is a unique value per Paylocity Company ID.\r\n**Allowable Values:**\r\n10 char max",
            "nullable": true
          },
          "companyId": {
            "type": "string",
            "description": "The Paylocity Company Identifier. This is the unique value provided by Paylocity to each specific Payroll Entity.",
            "nullable": true
          },
          "relationshipId": {
            "type": "string",
            "description": "The Paylocity Identifier for a group of Company IDs. This is the unique value provided by Paylocity to each specific Payroll Group.",
            "nullable": true
          },
          "lastName": {
            "type": "string",
            "description": "Last Name.",
            "nullable": true
          },
          "displayName": {
            "type": "string",
            "description": "Display Name.",
            "nullable": true
          },
          "status": {
            "type": "string",
            "description": "The Employee Status Description, this value is customizable per client.",
            "nullable": true
          },
          "statusType": {
            "type": "string",
            "description": "The Employee Status Type Description, this a system controlled value.\r\n    **Allowable Values:**\r\n    A - Active\r\n    T - Terminated\r\n    L - Leave",
            "nullable": true
          },
          "currentStatus": {
            "$ref": "#/components/schemas/CurrentEmployeeStatus"
          },
          "info": {
            "$ref": "#/components/schemas/EmployeeInfo"
          },
          "currentPayRate": {
            "$ref": "#/components/schemas/CurrentPayRate"
          },
          "position": {
            "$ref": "#/components/schemas/Position"
          },
          "futurePayRates": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/PayRate"
            },
            "description": "Future pay rates.",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      },
      "EmployeeInfo": {
        "type": "object",
        "properties": {
          "firstName": {
            "type": "string",
            "description": "First Name.",
            "nullable": true
          },
          "lastName": {
            "type": "string",
            "description": "Last Name.",
            "nullable": true
          },
          "displayName": {
            "type": "string",
            "description": "Display Name.",
            "nullable": true
          },
          "middleName": {
            "type": "string",
            "description": "Middle Name.",
            "nullable": true
          },
          "preferredName": {
            "type": "string",
            "description": "Preferred Name.",
            "nullable": true
          },
          "suffix": {
            "type": "string",
            "description": "Suffix.",
            "nullable": true
          },
          "address": {
            "$ref": "#/components/schemas/Address"
          },
          "homePhone": {
            "type": "string",
            "description": "Home Phone Number.",
            "nullable": true
          },
          "mobilePhone": {
            "type": "string",
            "description": "Mobile Phone Number.",
            "nullable": true
          },
          "personalEmail": {
            "type": "string",
            "description": "Personal Email.",
            "nullable": true
          },
          "ssn": {
            "type": "string",
            "description": "Social Security Number.\r\n**Allowable Values:**\r\n11 char max",
            "nullable": true
          },
          "dateOfBirth": {
            "type": "string",
            "description": "Date of Birth.\r\n**Allowable Values:**\r\nFormat: MM/DD/CCYY",
            "nullable": true
          },
          "maritalStatus": {
            "type": "string",
            "description": "Marital Status.\r\n**Allowable Values:**\r\n10 char max",
            "nullable": true
          },
          "ethnicityRace": {
            "type": "string",
            "description": "Ethnicity.\r\n**Allowable Values:**\r\n10 char max",
            "nullable": true
          },
          "gender": {
            "type": "string",
            "description": "Gender.\r\n**Allowable Values:**\r\n1 char max",
            "nullable": true
          },
          "hireDate": {
            "type": "string",
            "description": "Hire Date.\r\n**Allowable Values:**\r\nFormat: MM/DD/CCYY",
            "format": "date-time",
            "nullable": true
          },
          "adjustedSeniorityDate": {
            "type": "string",
            "description": "Adjusted Seniority Date.\r\n**Allowable Values:**\r\nFormat: MM/DD/CCYY",
            "format": "date-time",
            "nullable": true
          },
          "eligibleforRehire": {
            "type": "boolean",
            "description": "Eligible for Rehire Flag.",
            "nullable": true
          },
          "supervisorCo": {
            "type": "string",
            "description": "Supervisor Paylocity Company ID.",
            "nullable": true
          },
          "supervisor": {
            "type": "string",
            "description": "Supervisor.",
            "nullable": true
          },
          "isSupervisor": {
            "type": "boolean",
            "description": "Is Supervisor / Reviewer? Flag.",
            "nullable": true
          },
          "reviewerCo": {
            "type": "string",
            "description": "Reviewer Paylocity Company ID.",
            "nullable": true
          },
          "reviewer": {
            "type": "string",
            "description": "Reviewer Employee ID.",
            "nullable": true
          },
          "jobTitle": {
            "type": "string",
            "description": "Job Title.",
            "nullable": true
          },
          "eeoClass": {
            "type": "string",
            "description": "EEO Class.",
            "nullable": true
          },
          "wcc": {
            "type": "string",
            "description": "Workers Compensation Code.",
            "nullable": true
          },
          "shift": {
            "type": "string",
            "description": "Home Shift.",
            "nullable": true
          },
          "clockBadge": {
            "type": "string",
            "description": "Clock / Badge Number.",
            "nullable": true
          },
          "payGroup": {
            "type": "string",
            "description": "Pay Group.",
            "nullable": true
          },
          "otExempt": {
            "type": "boolean",
            "description": "OT Exempt (Y/N).",
            "nullable": true
          },
          "tipped": {
            "type": "string",
            "description": "Tipped.",
            "nullable": true
          },
          "minWageExempt": {
            "type": "boolean",
            "description": "Minimum Wage Exempt.",
            "nullable": true
          },
          "workLocation": {
            "$ref": "#/components/schemas/WorkLocation"
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      },
      "PayRate": {
        "type": "object",
        "properties": {
          "salary": {
            "type": "number",
            "description": "Per Check Salary Rate.",
            "format": "double",
            "nullable": true
          },
          "payFrequency": {
            "type": "string",
            "description": "Pay Frequency.",
            "nullable": true
          },
          "changeReason": {
            "type": "string",
            "description": "Change reason.",
            "nullable": true
          },
          "annualSalary": {
            "type": "number",
            "description": "Annual Salary.",
            "format": "double",
            "nullable": true
          },
          "effectiveDate": {
            "type": "string",
            "description": "Effective date of the last employee rate change.",
            "format": "date-time",
            "nullable": true
          },
          "beginCheckDate": {
            "type": "string",
            "description": "Begin Check date of the last employee rate change.",
            "nullable": true
          },
          "isAutoPay": {
            "type": "boolean",
            "description": "Auto Pay Employee Flag.",
            "nullable": true
          },
          "payType": {
            "type": "string",
            "description": "Hourly or Salary Pay Type.",
            "nullable": true
          },
          "payRateDescription": {
            "type": "string",
            "description": "Pay rate description.",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      },
      "Position": {
        "type": "object",
        "properties": {
          "effectiveDate": {
            "type": "string",
            "description": "Effective date of the last employee position change.",
            "format": "date-time",
            "nullable": true
          },
          "changeReason": {
            "type": "string",
            "description": "Change Reason of last Position Change.",
            "nullable": true
          },
          "costCenter1": {
            "type": "string",
            "description": "Cost Center 1 Code.",
            "nullable": true
          },
          "costCenter2": {
            "type": "string",
            "description": "Cost Center 2 Code.",
            "nullable": true
          },
          "costCenter3": {
            "type": "string",
            "description": "Cost Center 3 Code.",
            "nullable": true
          },
          "employeeType": {
            "type": "string",
            "description": "Employee Type.",
            "nullable": true
          },
          "positionCode": {
            "type": "string",
            "description": "Position Code.",
            "nullable": true
          },
          "positionDescription": {
            "type": "string",
            "description": "Position Description.",
            "nullable": true
          },
          "careerLevelCode": {
            "type": "string",
            "description": "Career level code.",
            "nullable": true
          },
          "careerLevelDescription": {
            "type": "string",
            "description": "Career level description.",
            "nullable": true
          },
          "positionFamilies": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/PositionFamily"
            },
            "description": "Position families.",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      },
      "PositionFamily": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Position family code.",
            "nullable": true
          },
          "description": {
            "type": "string",
            "description": "Position family description.",
            "nullable": true
          },
          "name": {
            "type": "string",
            "description": "Position family name.",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      },
      "WorkLocation": {
        "type": "object",
        "properties": {
          "address": {
            "$ref": "#/components/schemas/Address"
          },
          "phone": {
            "type": "string",
            "description": "Phone.",
            "nullable": true
          },
          "phoneExt": {
            "type": "string",
            "description": "Phone Extension",
            "nullable": true
          },
          "mobilePhone": {
            "type": "string",
            "description": "Work Mobile Phone",
            "nullable": true
          },
          "email": {
            "type": "string",
            "description": "Work Email Address.",
            "nullable": true
          }
        },
        "additionalProperties": {
          "type": "object",
          "nullable": true
        }
      }
    }
  },
  "tags": [
    {
      "name": "Employees"
    }
  ]
}
```